<?php
require("../snippets/autoload.php");

$alert = new RequestMsg();
$entity = new Request();

AutomaticAssignment($_POST, $alert);
$entity->Id = $utils->SanitizeString($_POST["Request"]);

$alert->Sender = $LoggedUser;
if($alert->InsertRecord()){
  $response_request["type"] = "success";
    $data = $entity->GetRecord();
  $mail = new Mail();
  $mail->ShortDescription = "Nuevo comentario en tu proyecto";
  $mail->DestinationName = $data["FullName"];
  $mail->LongDescription = "Tienes un nuevo comentario en tu proyecto #".$_POST["Request"]."<br> Comentario: ".$_POST["Message"]." <br> Inicia sesión en la plataforma para responder";
  $mail->Url = "https://roc.work/precisetranslations/client/project.php?uk=".$_POST["Request"];
  $user = new UserAccount();
  $user->Id = $data["UserAccount"];
  $data_client = $user->GetRecord();
  $mail->DirectMessage($data_client["Email"], "Precise translations - Tu proyecto #".$entity->Id." tiene un nuevo comentario");
}else{
  $response_request["type"] = "error";
}
echo json_encode($response_request);